/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.qsoft.wmp.services.xsd;

import java.util.Map;

/**
 *
 * @author james
 */
public class BodyEntradaConsulta {

    private Integer tipoConsulta;
    private Integer maximoRegistros;
    private Integer registroInicio;
    private String entidad;
    private Map<String, Object> parametros;

    public Integer getTipoConsulta() {
        return tipoConsulta;
    }

    public void setTipoConsulta(Integer tipoConsulta) {
        this.tipoConsulta = tipoConsulta;
    }

    public Map<String, Object> getParametros() {
        return parametros;
    }

    public void setParametros(Map<String, Object> parametros) {
        this.parametros = parametros;
    }

    public String getEntidad() {
        return entidad;
    }

    public void setEntidad(String entidad) {
        this.entidad = entidad;
    }

    public Integer getMaximoRegistros() {
        return maximoRegistros;
    }

    public void setMaximoRegistros(Integer maximoRegistros) {
        this.maximoRegistros = maximoRegistros;
    }

    public Integer getRegistroInicio() {
        return registroInicio;
    }

    public void setRegistroInicio(Integer registroInicio) {
        this.registroInicio = registroInicio;
    }    

}
